<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="latvenergo-2023-12-31.xsd#latvenergo_ProfitLossTable" xlink:label="latvenergo_ProfitLossTable" />
    <loc xlink:type="locator" xlink:href="latvenergo-2023-12-31.xsd#latvenergo_ProfitLossLineItems" xlink:label="latvenergo_ProfitLossLineItems" />
    <loc xlink:type="locator" xlink:href="latvenergo-2023-12-31.xsd#latvenergo_EBITDA" xlink:label="latvenergo_EBITDA" />
    <loc xlink:type="locator" xlink:href="latvenergo-2023-12-31.xsd#latvenergo_StatementOfComprehensiveIncomeTable" xlink:label="latvenergo_StatementOfComprehensiveIncomeTable" />
    <loc xlink:type="locator" xlink:href="latvenergo-2023-12-31.xsd#latvenergo_StatementOfComprehensiveIncomeLineItems" xlink:label="latvenergo_StatementOfComprehensiveIncomeLineItems" />
    <loc xlink:type="locator" xlink:href="latvenergo-2023-12-31.xsd#latvenergo_StatementOfFinancialPositionTable" xlink:label="latvenergo_StatementOfFinancialPositionTable" />
    <loc xlink:type="locator" xlink:href="latvenergo-2023-12-31.xsd#latvenergo_StatementOfFinancialPositionLineItems" xlink:label="latvenergo_StatementOfFinancialPositionLineItems" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:label="ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" />
    <loc xlink:type="locator" xlink:href="latvenergo-2023-12-31.xsd#latvenergo_StatementOfCashFlowsTable" xlink:label="latvenergo_StatementOfCashFlowsTable" />
    <loc xlink:type="locator" xlink:href="latvenergo-2023-12-31.xsd#latvenergo_StatementOfCashFlowsLineItems" xlink:label="latvenergo_StatementOfCashFlowsLineItems" />
    <loc xlink:type="locator" xlink:href="latvenergo-2023-12-31.xsd#latvenergo_InterestPaidOnLeases" xlink:label="latvenergo_InterestPaidOnLeases" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" />
    <labelArc xlink:type="arc" xlink:from="latvenergo_ProfitLossTable" xlink:to="label_latvenergo_ProfitLossTable" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="latvenergo_ProfitLossLineItems" xlink:to="label_ProfitLossLineItems" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="latvenergo_EBITDA" xlink:to="label_latvenergo_latvenergoEBITDA_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="latvenergo_StatementOfComprehensiveIncomeTable" xlink:to="label_latvenergo_StatementOfComprehensiveIncomeTable" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="latvenergo_StatementOfComprehensiveIncomeLineItems" xlink:to="label_StatementOfComprehensiveIncomeLineItems" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="latvenergo_StatementOfFinancialPositionTable" xlink:to="label_latvenergo_StatementOfFinancialPositionTable" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="latvenergo_StatementOfFinancialPositionLineItems" xlink:to="label_StatementOfFinancialPositionLineItems" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:to="label_latvenergo_ifrs-fullIncreaseDecreaseThroughTransactionsWithOwners_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="latvenergo_StatementOfCashFlowsTable" xlink:to="label_latvenergo_StatementOfCashFlowsTable" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="latvenergo_StatementOfCashFlowsLineItems" xlink:to="label_StatementOfCashFlowsLineItems" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="latvenergo_InterestPaidOnLeases" xlink:to="label_latvenergo_latvenergoInterestPaidOnLeases_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="label_latvenergo_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="label_latvenergo_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:to="label_latvenergo_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <label xlink:label="label_latvenergo_ProfitLossTable" id="latvenergo_ProfitLossTable" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Profit (loss) [table]</label>
    <label xlink:label="label_ProfitLossLineItems" id="ProfitLossLineItems" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Profit (loss) [line items]</label>
    <label xlink:label="label_latvenergo_latvenergoEBITDA_Standard" id="latvenergo_latvenergoEBITDA_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">EBITDA</label>
    <label xlink:label="label_latvenergo_StatementOfComprehensiveIncomeTable" id="latvenergo_StatementOfComprehensiveIncomeTable" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Statement of comprehensive income [table]</label>
    <label xlink:label="label_StatementOfComprehensiveIncomeLineItems" id="StatementOfComprehensiveIncomeLineItems" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Statement of comprehensive income [line items]</label>
    <label xlink:label="label_latvenergo_StatementOfFinancialPositionTable" id="latvenergo_StatementOfFinancialPositionTable" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Statement of financial position [table]</label>
    <label xlink:label="label_StatementOfFinancialPositionLineItems" id="StatementOfFinancialPositionLineItems" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Statement of financial position [line items]</label>
    <label xlink:label="label_latvenergo_ifrs-fullIncreaseDecreaseThroughTransactionsWithOwners_Total" id="latvenergo_ifrs-fullIncreaseDecreaseThroughTransactionsWithOwners_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Total transactions with owners and other changes in equity</label>
    <label xlink:label="label_latvenergo_StatementOfCashFlowsTable" id="latvenergo_StatementOfCashFlowsTable" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Statement of cash flows [table]</label>
    <label xlink:label="label_StatementOfCashFlowsLineItems" id="StatementOfCashFlowsLineItems" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Statement of cash flows [line items]</label>
    <label xlink:label="label_latvenergo_latvenergoInterestPaidOnLeases_Standard" id="latvenergo_latvenergoInterestPaidOnLeases_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Interest paid on leases</label>
    <label xlink:label="label_latvenergo_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" id="latvenergo_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net cash flows used in investing activities</label>
    <label xlink:label="label_latvenergo_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" id="latvenergo_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net cash flows used in financing activities</label>
    <label xlink:label="label_latvenergo_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_Total" id="latvenergo_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net decrease in cash and cash equivalents</label>
  </labelLink>
</linkbase>